var mapper = mapperFactory.createMapperMult(["DashboardNotaFiscal", "Ressuprimento", "PreFatura"]);

try {
    var objResult = {
        'listQuantidadeNfeEntrada': [],
        'listQuantidadeNfeSaida': [],
        'listQuantidadePendentesEntrada': [],
        'listQuantidadeCanceladasErroEntrada': [],
        'listQuantidadeCanceladasPendentes': [],
        'listQuantidadeCanceladasErros': [],
        'listQtdeNfeXmlNaoEncontrado': [],
        'listQtdeNfeXmlErroImportacao': [],
        'listQtdeNfeImportados': [],
        'listGetErroValidacao': [],
        'listQtdeNfeRecebimentoConfirmado': [],
        'listQtdeNfeCheckinRealizado': [],
        'listGetDanfePendente': [],
        'listGetDanfeErro': [],
        'listQtdeNfeErroEntradaAuto': [],
        'listQtdNfeEntradaSemGerarFinanceiro': [],
        'listQtdeNfeTranfPendenteEntrada': [],
        'listQtdeNfeTranfCheckinRealizado': [],
        'listQtdeNfeTranfErroEntradaAuto': [],
        'listQtdPedidoComprasPendente': [],
        'listQtdeNfePendenteValidacaoCompras': [],
        'listQtdeNfePendenteValidacaoDevolucao': [],
        'listGetQtdPedidoCompraDivergente': [],
        'listQtdPreEntradaPendente': [],
        'listGetQtdPreEntradaBloqueada': [],
        'listQtdeNfeDevVendasPendFat': [],
        'listGetErroGeracaoDare': [],
        'listQtdeRessuprimento': [],
        'listQtdePedidoPreFatura': []
    };

    objResult.listQuantidadeNfeEntrada = mapper.selectList("DashboardNotaFiscal.qtdeNotasEntrada", {});
    objResult.listQuantidadeNfeSaida = mapper.selectList("DashboardNotaFiscal.qtdeNotasSaida", {});
    objResult.listQuantidadePendentesEntrada = mapper.selectList("DashboardNotaFiscal.getQuantidadeCanceladasPendentesEntrada", {});
    objResult.listQuantidadeCanceladasErroEntrada = mapper.selectList("DashboardNotaFiscal.getQuantidadeCanceladasErrosEntrada", {});
    objResult.listQuantidadeCanceladasPendentes = mapper.selectList("DashboardNotaFiscal.getQuantidadeCanceladasPendentes", {});
    objResult.listQuantidadeCanceladasErros = mapper.selectList("DashboardNotaFiscal.getQuantidadeCanceladasErros", {});
    objResult.listQtdeNfeXmlNaoEncontrado = mapper.selectList("DashboardNotaFiscal.qtdeNfeXmlNaoEncontrado", {});
    objResult.listQtdeNfeXmlErroImportacao = mapper.selectList("DashboardNotaFiscal.qtdeNfeXmlErroImportacao", {});
    objResult.listQtdeNfeImportados = mapper.selectList("DashboardNotaFiscal.qtdeNfeImportados", {});
    objResult.listGetErroValidacao = mapper.selectList("DashboardNotaFiscal.getErroValidacao", {});
    objResult.listQtdeNfeRecebimentoConfirmado = mapper.selectList("DashboardNotaFiscal.qtdeNfeRecebimentoConfirmado", {});
    objResult.listQtdeNfeCheckinRealizado = mapper.selectList("DashboardNotaFiscal.qtdeNfeCheckinRealizado", {});
    objResult.listGetDanfePendente = mapper.selectList("DashboardNotaFiscal.getDanfePendente", {});
    objResult.listGetDanfeErro = mapper.selectList("DashboardNotaFiscal.getDanfeErro", {});
    objResult.listQtdeNfeErroEntradaAuto = mapper.selectList("DashboardNotaFiscal.qtdeNfeErroEntradaAuto", {});
    objResult.listQtdNfeEntradaSemGerarFinanceiro = mapper.selectList("DashboardNotaFiscal.qtdNfeEntradaSemGerarFinanceiro", {});
    objResult.listQtdeNfeTranfPendenteEntrada = mapper.selectList("DashboardNotaFiscal.qtdeNfeTranfPendenteEntrada", {});
    objResult.listQtdeNfeTranfCheckinRealizado = mapper.selectList("DashboardNotaFiscal.qtdeNfeTranfCheckinRealizado", {});
    objResult.listQtdeNfeTranfErroEntradaAuto = mapper.selectList("DashboardNotaFiscal.qtdeNfeTranfErroEntradaAuto", {});
    objResult.listQtdPedidoComprasPendente = mapper.selectList("DashboardNotaFiscal.qtdPedidoComprasPendente", {});
    objResult.listQtdeNfePendenteValidacaoCompras = mapper.selectList("DashboardNotaFiscal.qtdeNfePendenteValidacaoCompras", {});
    objResult.listQtdeNfePendenteValidacaoDevolucao = mapper.selectList("DashboardNotaFiscal.qtdeNfePendenteValidacaoDevolucao", {});
    objResult.listGetQtdPedidoCompraDivergente = mapper.selectList("DashboardNotaFiscal.getQtdPedidoCompraDivergente", {});
    objResult.listQtdPreEntradaPendente = mapper.selectList("DashboardNotaFiscal.qtdPreEntradaPendente", {});
    objResult.listGetQtdPreEntradaBloqueada = mapper.selectList("DashboardNotaFiscal.qtdPreEntradaBloqueada", {});
    objResult.listQtdeNfeDevVendasPendFat = mapper.selectList("DashboardNotaFiscal.qtdeNfeDevVendasPendFat", {});
    objResult.listGetErroGeracaoDare = mapper.selectList("DashboardNotaFiscal.getErroGeracaoDare", {});
    objResult.listQtdeRessuprimento = mapper.selectList("Ressuprimento.qtdeRessuprimento", {});
    objResult.listQtdePedidoPreFatura = mapper.selectList("PreFatura.qtdePedidoPreFatura", {});

    objResult;

} catch (err) {

    if (err.code)
        throw JSON.stringify(err);
    else
        throw err;
}